Anonymous Login
2019-02-22 13:14 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001381v3.1 ReleaseCore Infrastructurepublic2014-01-25 00:34
ReporterThemis 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.1 
Summary0001381: calendar pickup and date fields inoperant
Descriptionthere is a bug in the file js/calendar.js
the incorrect function :
function HM2Seconds(HM){var A=HM.split(/\D+/);var H=A[0];var M=A[1];if(parseInt(H,10)>23&&parseInt(H,10)<0)H=0;if(parseInt(M,10)>59&&parseInt(M,10)<0)M=0;return(H*60++M)*60;}

the bug is the double + (60++M)

corrected function :
function HM2Seconds(HM){var A=HM.split(/\D+/);var H=A[0];var M=A[1];if(parseInt(H,10)>23&&parseInt(H,10)<0)H=0;if(parseInt(M,10)>59&&parseInt(M,10)<0)M=0;return(H*60+M)*60;}
TagsNo tags attached.
Attached Files

-Relationships
related to 0001372closedcaseydk Calendar Pop Up don't open and it is not possible to change project or task dates. 
+Relationships

-Notes

~0003038

caseydk (administrator)

Resolved, will be in the v3.1 release:
https://github.com/web2project/web2project/commit/1bba0f4caf37b6cab2f1ab9a004520ceade183b2

~0003177

caseydk (administrator)

Closed for v3.1 Release which occurred 20 January 2014.
+Notes

-Issue History
Date Modified Username Field Change
2013-10-18 03:39 Themis New Issue
2013-11-21 15:56 caseydk Note Added: 0003038
2013-11-21 15:56 caseydk Status new => resolved
2013-11-21 15:56 caseydk Resolution open => fixed
2013-11-21 15:56 caseydk Assigned To => caseydk
2013-11-21 15:57 caseydk Project v3.0 Release => v3.1 Release
2013-11-21 18:59 caseydk Relationship added related to 0001372
2013-11-21 19:00 caseydk Relationship deleted related to 0001372
2013-11-21 19:00 caseydk Relationship added related to 0001372
2014-01-21 17:40 caseydk Note Added: 0003177
2014-01-21 17:40 caseydk Status resolved => closed
2014-01-21 17:49 caseydk Fixed in Version => 3.1
2014-01-25 00:34 caseydk Category General => Core Infrastructure
+Issue History